/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of appreports which is released under GPL-3.0-or-later.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, August 2020
 */

export default [
  {
    type:    'table',
    columns: [
      'id',
      'app',
      'timestamp'
    ]
  },
  {
    type:    'table',
    columns: [ 'data' ]
  },
  {
    type:    'chart',
    x:    'timestamp',
    y:    [
      {
        label: 'foo',
        field: 'data/num2',
        color: '#ff000055',
        fill:  '#0000'
      },
      {
        label: 'bar',
        field: 'data/num3',
        color: '#00ff00',
        fill:  '#0000'
      }
    ]
  },
  {
    type:    'table',
    columns: [
      'id',
      'app',
      'message'
    ]
  },
  {
    type:    'table',
    columns: [
      'id',
      'app',
      'message',
      'data',
      'timestamp'
    ]
  }
];
